>From 07ad2ca763146b36d8629777b24ddb46ee3d3808 Mon Sep 17 00:00:00 2001
From: KO Myung-Hun <komh@chollian.net>
Date: Sun, 13 Nov 2011 21:23:11 +0900
Subject: [PATCH 11/12] Add 'vout window hwnd' support for OS/2

---
 modules/gui/qt4/qt4.cpp |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/modules/gui/qt4/qt4.cpp b/modules/gui/qt4/qt4.cpp
index 430291d..dd39a7e 100644
--- a/modules/gui/qt4/qt4.cpp
+++ b/modules/gui/qt4/qt4.cpp
@@ -289,11 +289,11 @@ vlc_module_begin ()
 
         set_callbacks( OpenDialogs, Close )
 
-#if defined(Q_WS_X11) || defined(Q_WS_WIN) || defined(Q_WS_MAC)
+#if defined(Q_WS_X11) || defined(Q_WS_WIN) || defined(Q_WS_MAC)  || defined(Q_WS_PM)
     add_submodule ()
 #if defined(Q_WS_X11)
         set_capability( "vout window xid", 0 )
-#elif defined(Q_WS_WIN)
+#elif defined(Q_WS_WIN) || defined(Q_WS_PM)
         set_capability( "vout window hwnd", 0 )
 #elif defined(Q_WS_MAC)
         set_capability( "vout window nsobject", 0 )
@@ -626,8 +626,8 @@ static int WindowOpen( vout_window_t *p_wnd, const vout_window_cfg_t *cfg )
         return VLC_EGENERIC;
     p_wnd->display.x11 = NULL;
 
-#elif defined (Q_WS_WIN)
-    p_wnd->handle.hwnd = p_mi->getVideo( &i_x, &i_y, &i_width, &i_height );
+#elif defined (Q_WS_WIN) || defined(Q_WS_PM)
+    p_wnd->handle.hwnd = (void *)p_mi->getVideo( &i_x, &i_y, &i_width, &i_height );
     if( !p_wnd->handle.hwnd )
         return VLC_EGENERIC;
 
-- 
1.7.3.2

